---
title: "Get useful information about the logged API user's account"
description: "GET /bootstrap — Includes global account configuration such as lead sources and deal stages, and user-specific configuration such as date format and time zone."
canonical_url: https://developer.onepagecrm.com/api/reference/bootstrap/get-bootstrap/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/bootstrap/get-bootstrap/
---

`GET /bootstrap`

Includes global account configuration such as lead sources and deal stages, and user-specific configuration such as date format and time zone.

Resource: [Bootstrap](https://developer.onepagecrm.com/api/reference/bootstrap/) · [API Reference](https://developer.onepagecrm.com/api/reference/)

## Request

```bash
curl "https://app.onepagecrm.com/api/v3/bootstrap" \
  -u $user_id:$api_key
```

Authentication is HTTP Basic — `user_id` as username, `api_key` as password.
See https://developer.onepagecrm.com/api/authentication/.

## Responses

### 200

OK

```json
{
  "status": 0,
  "message": "OK",
  "timestamp": 1528373119,
  "data": {
    "user_id": "5aba31e99007ba0f570c12f7",
    "auth_key": "c+g0Y3VGHdIztKbHcjVcOuwf34EmFlXI9Qot5hTvb2F=",
    "user": {
      "id": "5aba31e99007ba0f570c12f7",
      "first_name": "Jane",
      "last_name": "Doe",
      "email": "jane.doe@example.com",
      "company_name": "Big Company Inc.",
      "account_rights": [
        "activity",
        "edit_target",
        "pipeline",
        "export",
        "private_contacts"
      ],
      "photo_url": "https://{foo.bar}/jane-doe.jpg",
      "country_code": "IE",
      "bcc_email": "5abg31e93007ba0f470c92q6@users.onepagecrm.com",
      "google_contacts_email": "jane.doe@example.com"
    },
    "team": [
      {
        "id": "5aba31e99007ba0f570c12f7",
        "first_name": "Jane",
        "last_name": "Doe",
        "email": "jane.doe@example.com",
        "company_name": "Big Company Inc.",
        "account_rights": [
          "activity",
          "edit_target",
          "pipeline",
          "export",
          "private_contacts"
        ],
        "photo_url": "https://{foo.bar}/jane-doe.jpg",
        "country_code": "IE",
        "bcc_email": "5abg31e93007ba0f470c92q6@users.onepagecrm.com",
        "google_contacts_email": "jane.doe@example.com"
      }
    ],
    "account_type": "pro",
    "settings": {
      "reminder": {
        "type": "new_task",
        "hour": 6
      },
      "time_zone": "America/Los_Angeles",
      "not_working_days": "weekend",
      "date_format": "%d/%m/%Y",
      "time_with_ampm": true,
      "listing_size": 10,
      "currency": "USD",
      "currency_symbol": "$",
      "separator": ".",
      "delimiter": ",",
      "popular_countries": [
        "US",
        "UK",
        "IE",
        "AU",
        "DE"
      ],
      "deal_stages": [
        {
          "stage": 80,
          "label": "Negotiation"
        }
      ],
      "pipelines": [
        {
          "pipeline": {
            "id": "5c96306b849d78b896b6f8ca",
            "name": "Default pipeine",
            "type": "sales",
            "default": true,
            "won_column_enabled": false,
            "won_column_name": "Payment",
            "stages": []
          }
        }
      ],
      "default_contact_type": "company",
      "show_tidy_stream": false,
      "show_company_fields_with_contact": true,
      "company_phone_enabled": true,
      "company_url_enabled": true,
      "company_address_enabled": true,
      "company_description_enabled": true,
      "send_push_notifications": true,
      "clipper_beta": false,
      "bcc_email_enabled": true
    },
    "cost_setup": {
      "cost_enabled": true,
      "cost_required": false,
      "commission_base": "amount",
      "commission_percentage": 12.5
    },
    "custom_fields": [
      {
        "id": "5aad9b039007ba18c9ebad13",
        "name": "Favorite season",
        "type": "select_box",
        "position": 2,
        "choices": [
          "Spring",
          "Summer",
          "Autumn",
          "Winter"
        ]
      }
    ],
    "company_fields": [
      {
        "id": "5aad9b039007ba28c9ebad56",
        "name": "Company size",
        "type": "select_box",
        "position": 2,
        "choices": [
          "Small",
          "Medium",
          "Large"
        ]
      }
    ],
    "deal_fields": [
      {
        "id": "5aad9b039007ba28c9ebad56",
        "name": "Deal size",
        "type": "select_box",
        "position": 2,
        "choices": [
          "Small",
          "Medium",
          "Large"
        ]
      }
    ],
    "filters": [
      {
        "id": "5b606e239007ba1e528d9557",
        "name": "Jane's large deals",
        "conditions": [
          [
            "deal_owner_id",
            "is",
            "5aba31e99007ba0f570c12f7"
          ],
          [
            "deal_value",
            "greater",
            "1000"
          ]
        ]
      }
    ],
    "call_results": {
      "interested": "Interested",
      "not_interested": "Not interested",
      "left_message": "Left message",
      "no_answer": "No answer",
      "other": "Other"
    },
    "call_results_order": [
      "interested",
      "not_interested",
      "left_message",
      "no_answer",
      "other"
    ],
    "next_action_dates": [
      {
        "number": 5,
        "period": "days"
      }
    ],
    "predefined_actions": [
      {
        "id": "5acddaa7d556733c507ff405",
        "text": "#1 Email [firstname] introducing our organization",
        "days": 4
      }
    ],
    "contact_titles": [
      "Mr",
      "Mrs",
      "Ms"
    ]
  },
  "lead_sources": {
    "id": "advertisement",
    "text": "Advertisement",
    "counts": 4,
    "total_count": 7,
    "action_stream_count": 2,
    "team_counts": [
      {
        "user_id": "5aba31e99007ba0f570c12f7",
        "counts": 4
      }
    ]
  },
  "statuses": {
    "id": "5aead4809007ba56ffca942e",
    "status": "prospect",
    "text": "Prospect",
    "description": "Actively selling to these people",
    "color": "f96600",
    "counts": 3,
    "total_count": 3,
    "action_stream_count": 2,
    "team_counts": [
      {
        "user_id": "5aba31e99007ba0f570c12f7",
        "counts": 4
      }
    ]
  },
  "tags": {
    "tags": [
      {
        "name": "VIP",
        "counts": 2,
        "total_count": 4,
        "action_stream_count": 1
      }
    ],
    "system_tags": [
      {
        "name": "VIP",
        "counts": 2,
        "total_count": 4,
        "action_stream_count": 1
      }
    ]
  },
  "contacts_count": {
    "all": [
      {
        "1": 1,
        "a": 2,
        "b": 2,
        "c": 1,
        "d": 1,
        "e": 0,
        "f": 0,
        "g": 3,
        "h": 0,
        "i": 3,
        "j": 0,
        "k": 0,
        "l": 2,
        "m": 2,
        "n": 3,
        "o": 0,
        "p": 2,
        "q": 0,
        "r": 0,
        "s": 0,
        "t": 1,
        "u": 1,
        "v": 1,
        "w": 0,
        "x": 1,
        "y": 1,
        "z": 0,
        "total_count": 27
      }
    ],
    "users": [
      {
        "1": 1,
        "a": 2,
        "b": 2,
        "c": 1,
        "d": 1,
        "e": 0,
        "f": 0,
        "g": 3,
        "h": 0,
        "i": 3,
        "j": 0,
        "k": 0,
        "l": 2,
        "m": 2,
        "n": 3,
        "o": 0,
        "p": 2,
        "q": 0,
        "r": 0,
        "s": 0,
        "t": 1,
        "u": 1,
        "v": 1,
        "w": 0,
        "x": 1,
        "y": 1,
        "z": 0,
        "total_count": 27,
        "user_id": "5aba31e99007ba0f570c12f7"
      }
    ]
  },
  "team_stream": {
    "all": 10,
    "users": [
      {
        "user_id": "5aba31e99007ba0f570c12f7",
        "counts": 5
      }
    ]
  }
}
```

Standard error responses: 400, 401 — shared across the API. See https://developer.onepagecrm.com/api/errors/.

## Related guides

- [Authentication](https://developer.onepagecrm.com/api/authentication/)
- [Errors](https://developer.onepagecrm.com/api/errors/)
- [Rate limits](https://developer.onepagecrm.com/api/rate-limits/)
